import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "eamlocationstateeditview": {
            "title": "功能位置状态编辑视图",
            "caption": "功能位置状态",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateEditView",
            "viewtag": "0b6fa9e6ebc1f6d1afaf3c19585840b0"
        },
        "eamlocationstatemodelpickupview": {
            "title": "功能位置状态模型数据选择视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelPickupView",
            "viewtag": "3d676a12800fca23bec463d5c5217413"
        },
        "eamlocationstatemodeleditview": {
            "title": "功能位置状态模型编辑视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelEditView",
            "viewtag": "7bf1327f579d782d5cdb98528999a5e0"
        },
        "eamlocationstatemodelgridview": {
            "title": "功能位置状态模型表格视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelGridView",
            "viewtag": "9e9b3600ba892d31757bacef1dcc9458"
        },
        "eamlocationstatepickupview": {
            "title": "功能位置状态数据选择视图",
            "caption": "功能位置状态",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStatePickupView",
            "viewtag": "a9f7eb2645c6505a232a0a13742c42a7"
        },
        "eamlocationstatemodellineeditview": {
            "title": "功能位置状态模型明细编辑视图",
            "caption": "功能位置状态模型明细",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelLineEditView",
            "viewtag": "b3d85711a6feb998249451ba167895d2"
        },
        "eamlocationstatepickupgridview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStatePickupGridView",
            "viewtag": "b56347aaab650c59a8338876600c21e4"
        },
        "eamlocationstatemodelpickupgridview": {
            "title": "功能位置状态模型选择表格视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelPickupGridView",
            "viewtag": "bb8b4b03a77ed63b8eb4ef3d62b669a6"
        },
        "appindexview": {
            "title": "应用首页视图",
            "caption": "资产管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Base",
            "viewname": "AppIndexView",
            "viewtag": "D44132B9-5261-4008-A146-6287A80D5D31"
        },
        "eamlocationstatemodellinegridview": {
            "title": "功能位置状态模型明细表格视图",
            "caption": "功能位置状态模型明细",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelLineGridView",
            "viewtag": "ecd1ec6299b5b24e2004fa15c4eef92d"
        },
        "eamlocationstategridview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateGridView",
            "viewtag": "f7c04762f2a3e3026c909e6191a0998f"
        }
    }];
});